Genymotion on debian

By | 2015-11-18

某天在Debian GNU/Linux 8.2 (jessie) 64bit上裝genymotion 發生了些error…

Step by step裝了genymotion原本以為可以開開心心玩android了~

結果執行genymotion就跑不出東西來,到~/.Genymobile/genymotion.log看了error log,內容如下:

11 18 09:47:11 [Genymotion] [Warning] ****  STARTING GENYMOTION  ****
11 18 09:47:11 [Genymotion] [Warning] Genymotion Version: Genymotion 2.5.2
11 18 09:47:11 [Genymotion] [Debug] [LaunchpadApp] Started with (“./genymotion")
11 18 09:47:11 [Genymotion] [Debug] [doRequest] Requesting:  “https://cloud.genymotion.com/launchpad/last_version/debian/x64/"
11 18 09:47:11 [Genymotion] [Fatal] Cannot mix incompatible Qt library (version 0x40807) with this library (version 0x40802)

說是Qt library跟系統不相容,所以參照了google的作法,在gennymotion的執行目錄下,下了這2個command,它就活過來了.

sudo apt-get isntall libqt4-sql libqt4-svg libqt4-script libqtwebkit4 libxi-dev libxmu-dev

mkdir QtLibs && mv *Qt*.so* QtLibs

ref:http://ubuntuforums.org/showthread.php?t=2207219&p=13048000#post13048000

One thought on “Genymotion on debian

發表迴響

你的電子郵件位址並不會被公開。 必要欄位標記為 *